Bug 460828 - many missing devel dependencies
many missing devel dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On: kde42
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 12:03 EDT by Patrice Dumas
Modified: 2009-02-19 06:42 EST (History)
4 users (show)

See Also:
Fixed In Version: KDE 4.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 06:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-09-01 12:03:19 EDT
Description of problem:

When one uses 
FIND_PACKAGE( KDE4 REQUIRED )
there are many libraries that are linked against, coming from 
FindKDE4Internal.cmake KDELibsDependenciesInternal.cmake
But the corresponding Requires are not present. There is 
at least giflib-devel and pcre-devel (they caused my build of 
kchmviewer to fail) but certainly others.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2008-11-25 21:55:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kevin Kofler 2008-12-06 12:27:46 EST
Try again now, this should be fixed in 4.1.80.
Comment 3 Patrice Dumas 2008-12-08 07:18:01 EST
Built in devel, thanks. I guess this bug will be closed accordingly when it is fixed in F-10, if it is fixed in F-10? (no problem if it is not fixed, kchmviewer won't have kde support, that's not a big deal...)
Comment 4 Steven M. Parrish 2009-01-09 15:47:57 EST
Can this be closed or is the release still pending?
Comment 5 Rex Dieter 2009-01-09 15:58:56 EST
should get resoved with kde-4.2.
Comment 6 Fedora Update System 2009-02-04 21:26:38 EST
kdeutils-4.2.0-1.fc10, kdetoys-4.2.0-1.fc10, kdesdk-4.2.0-1.fc10, kdeplasma-addons-4.2.0-1.fc10, kdepimlibs-4.2.0-1.fc10, kdepim-4.2.0-2.fc10, kdenetwork-4.2.0-2.fc10, kdemultimedia-4.2.0-1.fc10.1, kdegraphics-4.2.0-1.fc10, kdegames-4.2.0-1.fc10, kdeedu-4.2.0-2.fc10, kdebase-runtime-4.2.0-3.fc10, kdebase-4.2.0-2.fc10, kdebindings-4.2.0-1.fc10, kdeartwork-4.2.0-1.fc10, kdeadmin-4.2.0-1.fc10.1, kdeaccessibility-4.2.0-1.fc10, soprano-2.2.1-1.fc10, strigi-0.6.3-1.fc10, akonadi-1.1.1-1.fc10, automoc-1.0-0.11.rc3.fc10, compiz-0.7.8-7.fc10, kde-settings-4.1-5.20090126svn.fc10, kde-plasma-runcommand-1.0-1.fc10, kde-plasma-quickaccess-0.7.1-7.fc10, kdebluetooth-0.3-1.fc10, kde-i18n-3.5.10-2.fc10, krazy2-2.8-7.20090127svn.fc10, phonon-4.3.0-5.fc10, kde-l10n-4.2.0-2.fc10, kdelibs-4.2.0-7.fc10, kdebase-workspace-4.2.0-4.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdetoys kdesdk kdeplasma-addons kdepimlibs kdepim kdenetwork kdemultimedia kdegraphics kdegames kdeedu kdebase-runtime kdebase kdebindings kdeartwork kdeadmin kdeaccessibility soprano strigi akonadi automoc compiz kde-settings kde-plasma-runcommand kde-plasma-quickaccess kdebluetooth kde-i18n krazy2 phonon kde-l10n kdelibs kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1387
Comment 7 Fedora Update System 2009-02-06 00:23:45 EST
kdeutils-4.2.0-1.fc10, kdetoys-4.2.0-1.fc10, kdesdk-4.2.0-1.fc10, kdeplasma-addons-4.2.0-1.fc10, kdepimlibs-4.2.0-1.fc10, kdepim-4.2.0-2.fc10, kdenetwork-4.2.0-2.fc10, kdemultimedia-4.2.0-1.fc10.1, kdegraphics-4.2.0-1.fc10, kdegames-4.2.0-1.fc10, kdebase-runtime-4.2.0-3.fc10, kdebase-4.2.0-2.fc10, kdebindings-4.2.0-1.fc10, kdeartwork-4.2.0-1.fc10, kdeadmin-4.2.0-1.fc10.1, kdeaccessibility-4.2.0-1.fc10, soprano-2.2.1-1.fc10, strigi-0.6.3-1.fc10, akonadi-1.1.1-1.fc10, automoc-1.0-0.11.rc3.fc10, compiz-0.7.8-7.fc10, kde-settings-4.1-5.20090126svn.fc10, kde-plasma-runcommand-1.0-1.fc10, kde-plasma-quickaccess-0.7.1-7.fc10, kdebluetooth-0.3-1.fc10, kde-i18n-3.5.10-2.fc10, krazy2-2.8-7.20090127svn.fc10, phonon-4.3.0-5.fc10, kdelibs-4.2.0-9.fc10, kdeedu-4.2.0-5.fc10, kde-l10n-4.2.0-2.fc10, kdebase-workspace-4.2.0-4.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdetoys kdesdk kdeplasma-addons kdepimlibs kdepim kdenetwork kdemultimedia kdegraphics kdegames kdebase-runtime kdebase kdebindings kdeartwork kdeadmin kdeaccessibility soprano strigi akonadi automoc compiz kde-settings kde-plasma-runcommand kde-plasma-quickaccess kdebluetooth kde-i18n krazy2 phonon kdelibs kdeedu kde-l10n kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1387
Comment 8 Fedora Update System 2009-02-07 17:20:39 EST
kdeutils-4.2.0-1.fc10, kdetoys-4.2.0-1.fc10, kdesdk-4.2.0-1.fc10, kdeplasma-addons-4.2.0-1.fc10, kdepimlibs-4.2.0-1.fc10, kdepim-4.2.0-2.fc10, kdenetwork-4.2.0-2.fc10, kdemultimedia-4.2.0-1.fc10.1, kdegraphics-4.2.0-1.fc10, kdegames-4.2.0-1.fc10, kdebase-runtime-4.2.0-3.fc10, kdebase-4.2.0-2.fc10, kdebindings-4.2.0-1.fc10, kdeartwork-4.2.0-1.fc10, kdeadmin-4.2.0-1.fc10.1, kdeaccessibility-4.2.0-1.fc10, soprano-2.2.1-1.fc10, strigi-0.6.3-1.fc10, akonadi-1.1.1-1.fc10, automoc-1.0-0.11.rc3.fc10, compiz-0.7.8-7.fc10, kde-plasma-runcommand-1.0-1.fc10, kde-plasma-quickaccess-0.7.1-7.fc10, kdebluetooth-0.3-1.fc10, kde-i18n-3.5.10-2.fc10, krazy2-2.8-7.20090127svn.fc10, kde-settings-4.1-6.20090206svn.fc10, phonon-4.3.0-5.fc10, kdelibs-4.2.0-9.fc10, kdeedu-4.2.0-5.fc10, kde-l10n-4.2.0-2.fc10, kdebase-workspace-4.2.0-4.fc10.2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdetoys kdesdk kdeplasma-addons kdepimlibs kdepim kdenetwork kdemultimedia kdegraphics kdegames kdebase-runtime kdebase kdebindings kdeartwork kdeadmin kdeaccessibility soprano strigi akonadi automoc compiz kde-plasma-runcommand kde-plasma-quickaccess kdebluetooth kde-i18n krazy2 kde-settings phonon kdelibs kdeedu kde-l10n kdebase-workspace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1387

Note You need to log in before you can comment on or make changes to this bug.